Bug 1125815 - [testing report] If all plans belongs to a product have plan tag, system display 'untagged' in tag list in testing report by Plan's Tag
Summary: [testing report] If all plans belongs to a product have plan tag, system disp...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.8.10
Assignee: cqi
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 06:43 UTC by yangqiu
Modified: 2018-07-04 21:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
[testing report] If all plans belongs to a product have plan tag, system display 'untagged' in tag list in testing report by Plan's Tag (157.39 KB, image/jpeg)
2014-08-01 06:43 UTC, yangqiu
no flags Details

Description yangqiu 2014-08-01 06:43:40 UTC
Created attachment 923099 [details]
[testing report] If all plans belongs to a product have plan tag, system display 'untagged' in tag list in testing report by Plan's Tag

Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.The product 'qiyang test product' only has 2 plans, both of the two plans has plan tag.
2.Enter testing report page, choose product as 'qiyang test product', generate report by Plan's Tag.
https://tcms-devel.app.eng.nay.redhat.com/report/testing/?r_product=343&r_created_since=&r_created_before=&report_type=runs_with_rates_per_plan_tag
3.Inspect the tag list.

Actual results:
The tag list display all plan tags, includes 'untagged'.

Expected results:
The tag list display all plan tags, doesn't include 'untagged'.

Additional info:

Comment 1 cqi 2014-08-04 01:23:22 UTC
this is fixed. not display 'untagged' when no tags have data in the report.

Comment 2 yangqiu 2014-08-06 06:47:38 UTC
verify this issue on 3.8.10-1 on devel server.--->Pass
verify steps are same as description.


Note You need to log in before you can comment on or make changes to this bug.